Package org.apache.sling.starter.testservices.resource

# Class TestResourceDecorator

java.lang.Object
org.apache.sling.starter.testservices.resource.TestResourceDecorator

All Implemented Interfaces:
  `org.apache.sling.api.resource.ResourceDecorator`

public class TestResourceDecorator extends Object implements org.apache.sling.api.resource.ResourceDecorator
Test ResourceDecorator that sets a specific resource type for resources having a path that starts with /testing + simple name of this class + /

## Constructor Summary

Constructors
Constructor
Description
`TestResourceDecorator()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.api.resource.Resource`
`decorate(org.apache.sling.api.resource.Resource resource)`
`org.apache.sling.api.resource.Resource`
`decorate(org.apache.sling.api.resource.Resource resource, javax.servlet.http.HttpServletRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestResourceDecorator

public TestResourceDecorator()

## Method Details

### decorate

public org.apache.sling.api.resource.Resource decorate(org.apache.sling.api.resource.Resource resource, javax.servlet.http.HttpServletRequest request)

Specified by:
  `decorate` in interface `org.apache.sling.api.resource.ResourceDecorator`

### decorate

public org.apache.sling.api.resource.Resource decorate(org.apache.sling.api.resource.Resource resource)

Specified by:
  `decorate` in interface `org.apache.sling.api.resource.ResourceDecorator`